# Knew Karma

[![Upload Python Package](https://github.com/bellingcat/knewkarma/actions/workflows/python-publish.yml/badge.svg)](https://github.com/bellingcat/knewkarma/actions/workflows/python-publish.yml) ![Read the Docs](https://img.shields.io/readthedocs/knewkarma-wiki?logo=readthedocs) [![PyPI - Version](https://img.shields.io/pypi/v/knewkarma?style=flat&logo=pypi&logoColor=ffdd54&label=PyPI&labelColor=3670A0&color=3670A0)](https://pypi.org/project/knewkarma) [![.Net](https://img.shields.io/badge/Visual%20Basic%20.NET-5C2D91?style=flat&logo=.net&logoColor=white)](https://github.com/search?q=repo%3Abellingcat%2Fknewkarma++language%3A%22Visual+Basic+.NET%22&type=code) [![Python](https://img.shields.io/badge/Python-3670A0?style=flat&logo=python&logoColor=ffdd54)](https://github.com/search?q=repo%3Abellingcat%2Fknewkarma++language%3APython&type=code) [![Docker](https://img.shields.io/badge/Docker-%230db7ed.svg?style=flat&logo=docker&logoColor=white)](https://github.com/search?q=repo%3Abellingcat%2Fknewkarma++language%3ADockerfile&type=code)
[![BuyMeACoffee](https://img.shields.io/badge/Buy%20Me%20a%20Coffee-ffdd00?style=flat&logo=buy-me-a-coffee&logoColor=black)](https://buymeacoffee.com/rly0nheart)

![banner](https://github.com/bellingcat/knewkarma/assets/74001397/337b76c9-e951-45a2-a547-b76ae15de3a6)

**Knew Karma** (/nuː ‘kɑːrmə/) is a **Reddit** Data Analysis Toolkit designed to provide an extensive range of
functionalities for exploring and analysing Reddit data. It includes a **Command-Line Interface (CLI)** snap package, an
**Application Programming Interface (API)** to enable an easy integration in other Python Projects and a **Graphical
User
Interface (GUI)** for Windows machines, making it adaptable for various user preferences.

[![Get it from the Snap Store](https://snapcraft.io/static/images/badges/en/snap-store-black.svg)](https://snapcraft.io/knewkarma)

## Feature Overview

Knew Karma offers a variety of features for accessing and analysing Reddit data, including:

- **User**
    - *Profile* — Retrieves user profile information.
    - *Posts* — Retrieves user posts.
    - *Comments* — Retrieves user comments.
    - *Overview* — Retrieves user's most recent comment activity.
    - *Search Posts* — Returns a user's posts that contain the specified keyword.
    - *Search Comments* — Returns a user's comments that contain the specified keyword.
    - *Top *n* Subreddits* — Identifies top subreddits based on user activity.
    - *Moderated Subreddits* — Lists subreddits moderated by the user.


- **Subreddit**
    - *Profile* — Retrieves subreddit profile information.
    - *Posts* — Retrieves posts from a specified subreddit.
    - *Search Posts* — Returns a subreddit's posts that contain the specified keyword.
    - *Wiki Pages* — Lists wiki pages in a subreddit.
    - *Wiki Page* — Retrieves content from specific wiki pages.


- **Subreddits**
    - *All* — Retrieves all subreddits.
    - *Default* — Retrieves default subreddits.
    - *New* — Retrieves new subreddits.
    - *Popular* — Retrieves popular subreddits.

- **Post**
    - *Data* — Retrieves an individual post's data.
    - *Comments* — Retrieves an individual post's comments.

- **Posts**
    - *New* — Retrieves new posts.
    - *Reddit Front-Page* — Retrieves front-page posts.
    - *Listing* — Retrieves posts from specified Reddit listings.


- **Search & Discovery**
    - *Users* — Searches for users.
    - *Subreddits* — Searches for subreddits.
    - *Posts* — Searches for posts.

# Documentation

[Refer to the Wiki](https://knewkarma-wiki.readthedocs.io) for Installation and Usage instructions.
***
[![me](https://github.com/bellingcat/knewkarma/assets/74001397/efd19c7e-9840-4969-b33c-04087e73e4da)](https://rly0nheart.github.io)

